diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 0c545ea..f42ecd4 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -396,9 +396,9 @@ of effort. We would like to acknowledge and thank the following people:
 "Jose Alfredo Portes"
 "Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
-"Michael Richardson     Renaud Rioboo          Jean Rivlin"
-"Nicolas Robidoux       Simon Robinson         Raymond Rogers"
-"Michael Rothstein      Martin Rubey"
+"Albert D. Rich         Michael Richardson     Renaud Rioboo"
+"Jean Rivlin            Nicolas Robidoux       Simon Robinson"
+"Raymond Rogers         Michael Rothstein      Martin Rubey"
 "Philip Santas          Alfred Scheerhorn      William Schelter"
 "Gerhard Schneider      Martin Schoenert       Marshall Schor"
 "Frithjof Schulze       Fritz Schwarz          Steven Segletes"
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0f0141c..b49f380 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -731,6 +731,8 @@ Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial''
 \bibitem[Ra03]{Ra03}
 Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
 \verb|www.eecs.harvard.edu/~nr/noweb|
+\bibitem[Ri10]{Ri10}
+Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
 \bibitem[Ris68]{Ris68}
 Robert Risch. ``On the integration of elementary functions
 which are built up using algebraic operations'' Research Report
diff --git a/changelog b/changelog
index 2850164..c365e51 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20100604 tpd src/axiom-website/patches.html 20100604.05.tpd.patch
+20100604 tpd books/bookvolbib cite Albert D. Rich website
+20100604 tpd src/input/unittest1.input add Albert D. Rich to credits
+20100604 tpd books/bookvol5 add Albert D. Rich to credits
+20100604 tpd readme add Albert D. Rich to credits
+20100604 adr Albert D. Rich <albert_rich@msn.com>
 20100604 tpd src/axiom-website/patches.html 20100604.04.tpd.patch
 20100604 tpd src/input/Makefile add rule-based algebraic integration
 20100604 tpd src/input/richalgebraic000-099.input rule-based algebraic int.
diff --git a/readme b/readme
index cbfb1f9..9c524b4 100644
--- a/readme
+++ b/readme
@@ -250,9 +250,9 @@ at the axiom command prompt will prettyprint the list.
 "Jose Alfredo Portes"
 "Claude Quitte"
 "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko"
-"Michael Richardson     Renaud Rioboo          Jean Rivlin"
-"Nicolas Robidoux       Simon Robinson         Raymond Rogers"
-"Michael Rothstein      Martin Rubey"
+"Albert D. Rich         Michael Richardson     Renaud Rioboo"
+"Jean Rivlin            Nicolas Robidoux       Simon Robinson"
+"Raymond Rogers         Michael Rothstein      Martin Rubey"
 "Philip Santas          Alfred Scheerhorn      William Schelter"
 "Gerhard Schneider      Martin Schoenert       Marshall Schor"
 "Frithjof Schulze       Fritz Schwarz          Steven Segletes"
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4b17456..4f90f45 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2842,5 +2842,7 @@ books/bookvol10.5 tighten array type declarations<br/>
 src/input/richrational.input add rule-based rational integration<br/>
 <a href="patches/20100604.04.tpd.patch">20100605.04.tpd.patch</a>
 src/input/richalgebraic000-099.input rule-based algebraic integration<br/>
+<a href="patches/20100604.05.tpd.patch">20100605.05.tpd.patch</a>
+books/bookvol5 add Albert D. Rich to credits<br/>
  </body>
 </html>
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index e3ac022..a19d265 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -330,9 +330,9 @@ Unit test the user level commands
 --RJose Alfredo Portes
 --RClaude Quitte
 --RArthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko
---RMichael Richardson     Renaud Rioboo          Jean Rivlin
---RNicolas Robidoux       Simon Robinson         Raymond Rogers
---RMichael Rothstein      Martin Rubey
+--RAlbert D. Rich         Michael Richardson     Renaud Rioboo
+--RJean Rivlin            Nicolas Robidoux       Simon Robinson
+--RRaymond Rogers         Michael Rothstein      Martin Rubey
 --RPhilip Santas          Alfred Scheerhorn      William Schelter
 --RGerhard Schneider      Martin Schoenert       Marshall Schor
 --RFrithjof Schulze       Fritz Schwarz          Steven Segletes
